<?php

namespace app\common\model;

use support\think\Model;

/**
 * MallRedemptionOrder
 */
class MallRedemptionOrder extends Model
{
    // 表名
    protected $name = 'mall_redemption_order';

    // 自动写入时间戳字段
    protected $autoWriteTimestamp = true;


    public function mallUser(): \think\model\relation\BelongsTo
    {
        return $this->belongsTo(\app\common\model\MallUser::class, 'mall_user_id', 'id');
    }

    public function mallItem(): \think\model\relation\BelongsTo
    {
        return $this->belongsTo(\app\common\model\MallItem::class, 'mall_item_id', 'id');
    }
}